#
# spec file for package wine-mono
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           wine-mono
Version:        4.9.4
Release:        lp152.3.1
Summary:        A .NET replacement for use by Wine
License:        LGPL-2.1 and MIT and MS-PL
Group:          Development/Tools/Other
Url:            https://github.com/madewokherd/wine-mono
#Source:         https://downloads.sourceforge.net/project/wine/Wine%20Mono/%{version}/wine-mono-%{version}.tar.gz
Source1:        http://dl.winehq.org/wine/wine-mono/%{version}/wine-mono-%{version}.msi
# upstream patch to fix build
# https://github.com/mono/mono/commit/c79a76411a8ea0d66e98a4394e6906b2f27be746
Patch0:         fix.patch
#BuildRequires:  autoconf
#BuildRequires:  p7zip
#BuildRequires:  automake
#BuildRequires:  gcc gcc-c++
#BuildRequires:  libtool
#BuildRequires:  libgdiplus-devel
#BuildRequires:  mingw32-gcc mingw32-cross-gcc mingw64-gcc mingw64-cross-gcc
#BuildRequires:  mono-complete mono-devel
#BuildRequires:  pkgconfig
#%ifnarch ia64 %arm
#BuildRequires:  valgrind-devel
#%endif
#BuildRequires:  wine wine-devel
#BuildRequires:  xorg-x11-libX11-devel
Requires:       wine
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains the prepackaged Windows Mono Runtime environment
for use by Wine.

%prep

%build
#export MAKEOPTS=%{?_smp_mflags}
# used by buildscript
#export TZ=UTC
#./build-winemono.sh

%install
mkdir -p %{buildroot}%{_datadir}/wine/mono
# we use the prebuilt binaries.
cp -a %{SOURCE1} %{buildroot}%{_datadir}/wine/mono/wine-mono-%{version}.msi
#cp winemono.msi %{buildroot}%{_datadir}/wine/mono/wine-mono-%{version}.msi
#rm -rf build-cross-x86_64-install
#rm -rf build-cross-cli-install

%files
%defattr(-, root, root)
%dir %{_datadir}/wine
%dir %{_datadir}/wine/mono
%{_datadir}/wine/mono/*.msi

%changelog
* Mon Jun  8 2020 Marcus Meissner <meissner@suse.com>
- updated to 4.9.4 to match Wine 5.0 in 15.2 (bsc#1172622)
* Sun Aug 18 2019 Marcus Meissner <meissner@suse.com>
- updated to 4.9.2
  - Added a work-around for a mingw compiler bug causing crashes in SDL.
  - Added mscorwks.dll to the Microsoft.NET directory.
  - Fixed a bug where Wine fakedlls wouldn't install into Framework64 if msiexec is 32-bit.
  - Fixed https://bugs.winehq.org/show_bug.cgi?id=47561 which caused winforms applications to fail in Imagelist_Read.
- updated to 4.9.1
  - Bug fixes from upstream Mono and FNA.
* Mon Jun 24 2019 Marcus Meissner <meissner@suse.com>
- updated to 4.9.0
  - include Windows.Forms
  - adjust to Wine 4.11
* Thu May  2 2019 Marcus Meissner <meissner@suse.com>
- updated to 4.8.3
* Sat Apr  6 2019 Marcus Meissner <meissner@suse.com>
- update to 4.8.1
* Tue Feb 19 2019 Marcus Meissner <meissner@suse.com>
- updated to 4.8.0
* Tue Apr  3 2018 jengelh@inai.de
- Update summary.
* Fri Aug  4 2017 meissner@suse.com
- Update to 4.7.1
* Tue Jul 11 2017 asterios.dramis@gmail.com
- Update to 4.7.0
* Mon Dec 12 2016 asterios.dramis@gmail.com
- Update to 4.6.4
* Sun Aug 14 2016 asterios.dramis@gmail.com
- Update to 4.6.3
* Wed Apr  6 2016 meissner@suse.com
- updated to 4.6.0
* Sun Jul  5 2015 meissner@suse.com
- switch back to prebuilt binaries, own built binaries
  reportedly do not work. bsc#932984
* Sun Mar  8 2015 meissner@suse.com
- update to 4.5.6 for Wine 1.7.38
* Wed Nov 12 2014 meissner@suse.com
- wine mono 4.5.4
* Tue Dec 10 2013 meissner@suse.com
- apply test patch
* Fri Dec  6 2013 mailaender@opensuse.org
- build from source
- automatically run the MSI installer
* Fri Dec  6 2013 meissner@suse.com
- Update to 4.5.2 to match Wine 1.7.8
* Tue Nov 13 2012 meissner@suse.com
- updated to 0.0.8 to match wine 1.5.17
* Mon May 14 2012 meissner@suse.com
- Include the Mono C# implementation as prebuilt MSI package
  for usage by Wine, the free Windows emulator.
